# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit eutils

SLOT="0"
LICENSE="LGPL-2.1"
KEYWORDS="~x86 ~amd64"
DESCRIPTION="Non CCID driver for ACR38 AC1038-based Smart Card Reader."
SRC_URI="http://www.acs.com.hk/drivers/eng/ACR38U_driver_Lnx_1710_P.tar.gz"

HOMEPAGE="http://www.acs.com.hk"

RDEPEND=">=sys-apps/pcsc-lite-1.2.9"
DEPEND="${RDEPEND}
		dev-util/pkgconfig"

S="${WORKDIR}/ACR38_LINUX_100710_P"

IUSE=""

src_unpack() {
	unpack ${A}
	epatch "${FILESDIR}/acr38u-1.7.9-r4.patch"
#	epatch "${FILESDIR}/${P}-r3.patch"
}

src_compile() {
	./configure --prefix=${D}/usr --libdir=${D}/usr/lib --enable-static=false --enable-usbdropdir=${D}/`pkg-config libpcsclite --variable=usbdropdir` || die "An error occured while configuring the package."
	emake || die "An error occured while building the package."
}

src_install() {
	emake install || die "An error occured while installing the package."
	sed -i -e "s|${D}/usr/lib|/usr/lib|g" ${D}/usr/lib/libacr38ucontrol.la
}

